Package org.zkoss.stateless.sul

## Interface IMenupopup

- All Superinterfaces:
    `IAnyGroup<IMenupopup>`, `IChildable<IMenupopup,​IChildrenOfMenupopup>`, `IComponent<IMenupopup>`, `IHtmlBasedComponent<IMenupopup>`, `IPopupBase<IMenupopup>`, `IXulElement<IMenupopup>`

      public interface IMenupopup
      extends IPopupBase<IMenupopup>, IAnyGroup<IMenupopup>, IChildable<IMenupopup,​IChildrenOfMenupopup>

  Immutable `Menupopup` component

  A container used to display menus. It should be placed inside a `IMenu`.

  Author:
    katherine
  See Also:
    `Menupopup`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IMenupopup.Builder` | Builds instances of type `IMenupopup`.
    `static class` | `IMenupopup.Updater` | Builds an updater of type `IMenupopup` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

    - ### Nested classes/interfaces inherited from interface org.zkoss.stateless.sul.IPopupBase

      `IPopupBase.OpenOptionBuilder, IPopupBase.Position`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IMenupopup` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static IMenupopup` | `of​(java.lang.Iterable<? extends IChildrenOfMenupopup> children)` | Returns the instance with the given `IChildrenOfMenupopup` children.
    `static IMenupopup` | `of​(IChildrenOfMenupopup... children)` | Returns the instance with the given `IChildrenOfMenupopup` children.
    `static IMenupopup` | `ofId​(java.lang.String id)` | Returns the instance with the given id.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IPopupBase

      `getOpen, isVisible, withOpen`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IMenupopup DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.menu.Menupopup"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IMenupopup>`

    - #### of

          static IMenupopup of​(IChildrenOfMenupopup... children)

      Returns the instance with the given `IChildrenOfMenupopup` children.
      Parameters:
        `children` - The children of `IChildrenOfMenupopup`

    - #### of

          static IMenupopup of​(java.lang.Iterable<? extends IChildrenOfMenupopup> children)

      Returns the instance with the given `IChildrenOfMenupopup` children.
      Parameters:
        `children` - The children of `IChildrenOfMenupopup`

    - #### ofId

          static IMenupopup ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component